[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Perl CGI.pm POST_MAX problem in FC7 - when will latest version be available in archives?



B Wooster wrote:

The latest versions of CGI.pm is 3.29 - using cpan to "install CGI"
will bring this latest version to a FC7 box.
So, that is a workaround for anyone else who is running CGI scripts on
FC7 and using POST_MAX.

But - note that when perl/perl-lib gets update, an yum update will
revert back the CGI.pm to 3.15! (As it happened last week when I did
an yum update).
That may be another issue - cpan updates and yum updates.

You can make the CPAN updates take preference by putting a 'use lib' statement at the top of your Perl script. This will put the named directory to the top of @INC and mean that it will be used before the core modules.

Simon.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]